Note
Access to this page requires authorization. You can try signing in or .
Access to this page requires authorization. You can try .
Network Watchers - Delete
- Service:
- Network Watcher
- API Version:
- 2025-05-01
Deletes the specified network watcher resource.
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkWatchers/{networkWatcherName}?api-version=2025-05-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
networkWatcherName
|
path | True |
string |
The name of the network watcher. |
|
resourceGroupName
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscriptionId
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 202 Accepted |
Resource deletion accepted. Headers
|
|
| 204 No Content |
Resource does not exist. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Delete network watcher
Sample request
DELETE https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/networkWatchers/nw1?api-version=2025-05-01
Sample response
- Status code:
- 202
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/networkWatchers/nw1/operationresults/000000000000000000000==?api-version=2025-05-01
- Status code:
- 204
Definitions
| Name | Description |
|---|---|
| ErrorDetails |
Common error details representation. |
| ErrorResponse |
The error object. |
ErrorDetails
Common error details representation.
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code. |
| message |
string |
Error message. |
| target |
string |
Error target. |
ErrorResponse
The error object.
| Name | Type | Description |
|---|---|---|
| error |
Error |
